import { ActiveRecord, RequestModelField, RuntimeFunctionDefinition, RuntimeUrlAction } from '@oinone/kunlun-engine';
import { ReturnPromise } from '@oinone/kunlun-shared';
import { ActionWidget } from '../component';
export declare class UrlActionWidget extends ActionWidget<RuntimeUrlAction> {
    initialize(config: any): this;
    private get url();
    private get target();
    private get queryBody();
    protected executeFunction<T>(functionDefinition: RuntimeFunctionDefinition, requestFields: RequestModelField[], activeRecords: ActiveRecord[] | undefined): Promise<T>;
    protected getUrlByComputed(): Promise<string | undefined>;
    protected getUrlByUrlAttr(): any;
    protected getUrl(): ReturnPromise<string | undefined>;
    protected clickAction(): Promise<void>;
    protected executeAction(action: RuntimeUrlAction, url: string): void;
    private resolveQueryBody;
}
